routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();
Route::get('pdfshow', 'SubscriptionController@pdfshow')->name('pdfshow');
Route::group(['middleware' => ['role:admin']], function () {
    Route::get('settings', 'SettingController@index')->name('settings');
    Route::put('settings', 'SettingController@update')->name('settings.update');
    Route::post('file-upload', 'SettingController@FileLogin')->name('file-upload');
    Route::post('topbar-upload', 'SettingController@FileTopbar')->name('topbar-upload');
    Route::post('favicon-upload', 'SettingController@FileFavicon')->name('favicon-upload');
    Route::get('chains/send', 'ChainController@send')->name('chains.send');
    Route::put('chains/send', 'ChainController@storeSend')->name('chains.storeSend');
    Route::get('holograms/send', 'HologramController@send')->name('holograms.send');
    Route::put('holograms/send', 'HologramController@storeSend')->name('holograms.storeSend');
});
Route::group(['middleware' => ['role:admin|supervisor']], function () {
//    Route::get('settings', 'SettingController@index')->name('settings');
    Route::put('demands/accept/{demand}', 'DemandController@accept')->name('demands.accept');
    Route::put('demands/refuse/{demand}', 'DemandController@refuse')->name('demands.refuse');
    Route::get('shipments','ShipmentController@index')->name('shipment.index');
});
Route::group(['middleware' => ['role:admin|supervisor']], function () {
    Route::put('users/{user}/picture', 'UserController@updatePicture')->name('users.picture.update');
    Route::put('users/{user}/password', 'UserController@updatePassword')->name('users.password.update');
    Route::get('users/blocked', 'UserController@blocked')->name('users.blocked');
    Route::patch('users/{id}/restore', 'UserController@restore')->name('users.restore');
    Route::delete('users/block/{user}', 'UserController@block')->name('users.block');
    Route::resource('users', 'UserController');

    Route::get('agencies/blocked', 'AgencyController@blocked')->name('agencies.blocked');
    Route::patch('agencies/{id}/restore', 'AgencyController@restore')->name('agencies.restore');
    Route::delete('agencies/block/{agency}', 'AgencyController@block')->name('agencies.block');
    Route::resource('agencies', 'AgencyController');


    Route::resource('subscriptionCategories', 'SubscriptionCategoryController');
    Route::resource('subscriptionPeriods', 'SubscriptionPeriodController');
    Route::resource('chains', 'ChainController');
    Route::resource('holograms', 'HologramController');

    Route::get('lines/blocked', 'LineController@blocked')->name('lines.blocked');
    Route::patch('lines/{id}/restore', 'LineController@restore')->name('lines.restore');
    Route::delete('lines/block/{line}', 'LineController@block')->name('lines.block');
    Route::resource('lines', 'LineController');
    Route::get('lines/order/{line}','LineController@order')->name('line.order');
    Route::post('lines/order/{line}','LineController@orderstore')->name('line.order.save');
    Route::get('lines/getstations/{id}', 'LineController@getStations');

    Route::get('institutions/blocked', 'InstitutionController@blocked')->name('institutions.blocked');
    Route::patch('institutions/{id}/restore', 'InstitutionController@restore')->name('institutions.restore');
    Route::delete('institutions/block/{institution}', 'InstitutionController@block')->name('institutions.block');
    Route::resource('institutions', 'InstitutionController');

    Route::resource('buses', 'BusController');
    Route::resource('stations', 'StationController');
    Route::resource('demands', 'DemandController');
    Route::resource('declarations', 'DeclarationController');
    Route::resource('deliveries', 'DeliveryController');
    Route::resource('logs', 'LogActivityController');
    Route::resource('socials', 'SocialController');
    Route::post('socials/import', 'SocialController@import')->name('socials.import');
    Route::get('rapports', 'RapportController@index')->name('rapports');

});
Route::get('/v1/verifref/{chain?}','SubscriptionController@verifref')->name('ajax.verifref');
Route::get('/','HomeController@index')->name('home');
//Locale Route
Route::get('locale/{locale}', function ($locale){
    Session::put('locale', $locale);
    return redirect()->back();
});

Route::group(['middleware' => 'auth'], function () {
Route::resource('clients', 'ClientController');
Route::resource('subscriptions', 'SubscriptionController');

Route::view('/editor','editor.index');
Route::get('pdf/{id}','SubscriptionController@generatePDF')->name('pdf');
Route::get('{first}/{second}/{third}', 'RoutingController@thirdLevel')->name('third');
Route::get('{first}/{second}', 'RoutingController@secondLevel')->name('second');
Route::get('{any}', 'RoutingController@root')->name('any');
});
//Route::group(['middleware' => 'auth', 'prefix' => '/'], function () {

//});


// landing
//Route::get('', 'RoutingController@index')->name('index');

app/SubscriptionPeriod.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;

class SubscriptionPeriod extends Model
{
    use LogsActivity;
    protected $guarded=[];

    public function subscription()
    {
        return $this->hasMany(Subscription::class);
    }

    public function category()
    {
        return $this->belongsToMany(SubscriptionCategory::class,'category_period','period_id','category_id');
    }
    public function phases()
    {
        return $this->hasMany(Phase::class,'period_id');
    }

    public function lineprices()
    {
        return $this->hasMany(LinePrice::class);
    }

}

app/Http/Controllers/SubscriptionPeriodController.php
<?php

namespace App\Http\Controllers;

use App\Phase;
use App\SubscriptionPeriod;
use Illuminate\Http\Request;
use DataTables;

class SubscriptionPeriodController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        if ($request->ajax()) {
            $data = SubscriptionPeriod::latest()->get();
            return Datatables::of($data)
                ->addIndexColumn()
                ->addColumn('phases', function (SubscriptionPeriod $period) {
                    $phase=Phase::where('period_id',$period->id)->get();
                    return $phase->map(function($phase) {
                        return $phase->name_french;
                    })->implode(',');
                })
                ->addColumn('action', function($row){
                    $btn = '<a href="'.route('subscriptionPeriods.edit',$row->id).'" class="edit btn btn-success btn-sm">'.__('Modifier').'</a> <button id="'.$row->id.'"  data-toggle="modal" data-target="#danger-alert-modal" class="delete btn btn-danger btn-sm">'.__('Supprimer').'</a>';
                    return $btn;
                })
                ->rawColumns(['action'])
                ->make(true);
        }

        return view('subscriptionPeriods.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('subscriptionPeriods.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        $period=SubscriptionPeriod::create(request()->validate ([
            'name_arab' => 'required|min:3|max:50',
            'name_french' => 'required|min:3|max:50',
        ]));
        if($request->index>=1)
        {
            $index=intval($request->index);
            for($i=1;$i<=$index;$i++)
            {
                  $phase=new Phase;
                  $phase->code=$i;
                  $phase->period_id=$period->id;
                  $phase->name_arab=$request->phase_arab[$i];
                  $phase->name_french=$request->phase_french[$i];
                  $phase->start=$request->date_deb[$i];
                  $phase->end=$request->date_fin[$i];
                  $phase->save();
            }
        }
        return redirect(route('subscriptionPeriods.index'));
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\SubscriptionPeriod  $subscriptionPeriod
     * @return \Illuminate\Http\Response
     */
    public function show(SubscriptionPeriod $subscriptionPeriod)
    {
        return view('subscriptionPeriods.show',compact('subscriptionPeriod'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\SubscriptionPeriod  $subscriptionPeriod
     * @return \Illuminate\Http\Response
     */
    public function edit(SubscriptionPeriod $subscriptionPeriod)
    {
        return view('subscriptionPeriods.edit',compact('subscriptionPeriod'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\SubscriptionPeriod  $subscriptionPeriod
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, SubscriptionPeriod $subscriptionPeriod)
    {
        $subscriptionPeriod->update(request()->validate ([
            'name' => 'required|min:3|max:50',
            'description' => 'required',
        ]));
        return redirect(route('subscriptionPeriods.index'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\SubscriptionPeriod  $subscriptionPeriod
     * @return \Illuminate\Http\Response
     */
    public function destroy(SubscriptionPeriod $subscriptionPeriod)
    {
        $subscriptionPeriod->delete();
    }
}

resources/views/subscriptionPeriods/create.blade.php
@extends('layouts.horizontal', ['title' => 'Validation | Parsley'])
@section('css')
    <link href="{{asset('assets/libs/bootstrap-datepicker/bootstrap-datepicker.min.css')}}" rel="stylesheet" type="text/css" />
@endsection
@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">Srts</a></li>
                            <li class="breadcrumb-item"><a href="javascript: void(0);">{{__('Periodes')}}</a></li>
                            <li class="breadcrumb-item active">{{__('Créer Une Periode')}}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{__('Créer Une Periode')}}</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-lg-6 mx-auto">
                <div class="card">
                    <div class="card-body">
                        <h4 class="header-title text-center">{{__('Formulaire de Création')}}</h4>
                        <p class="sub-header"></p>
                        <form class="needs-validation" novalidate method="POST" action="{{ route('subscriptionPeriods.store') }}">
                            @csrf
                            <div class="form-group mb-3">
                                <label for="validationCustom01">{{ __('Nom arabe') }}</label>
                                <input name="name_arab" type="text" class="form-control" id="validationCustom01" @error('name_arab') is-invalid @enderror placeholder="{{ __('Nom arabe') }}" value="{{old('name_arab')}}" required>
                                @error('name_arab')
                                <span class="invalid-feedback" style="display: block !important;" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group mb-3">
                                <label for="validationCustom01">{{ __('Nom francais') }}</label>
                                <input name="name_french" type="text" class="form-control" id="validationCustom01" @error('name_french') is-invalid @enderror placeholder="{{ __('Nom francais') }}" value="{{old('name_french')}}" required>
                                @error('name_french')
                                <span class="invalid-feedback" style="display: block !important;" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>

                            <div class="form-group mb-3">
                                <label for="validationCustom02">{{ __('Description') }}</label>
                                <input name="description"  type="text" class="form-control" id="validationCustom02" @error('description') is-invalid @enderror placeholder="{{ __('Description') }}" value="{{old('description')}}" >
                                @error('description')
                                <span class="invalid-feedback" style="display: block !important;" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                            <button type="button" class="btn btn-info mb-3" id="test">{{__('ajouter une phase')}}</button>
                            <input hidden id="index" name="index" value="">
                            <div id="phases" class="mb-3" >

                            </div>

                            <div class="row ">
                                <div class="col-6 float-right">
                                    <a class="btn btn-success float-right mr-2" href="{{route('agencies.index')}}">{{ __('Retour') }}</a>
                                </div>
                                <div class="col-6 ">
                                    <button class="btn btn-primary" type="submit">{{ __('Confirmer') }}</button>
                                </div>
                            </div>
                        </form>

                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col-->
        </div>
        <!-- end row -->

    </div> <!-- container -->
@endsection

@section('script')
    <!-- Plugins js-->
    <script src="{{asset('assets/libs/bootstrap-datepicker/bootstrap-datepicker.min.js')}}"></script>
    <script >
        $.fn.datepicker.dates['fr'] = {
            days: ['Dimanche','Lundi','Mardi','Mercredi','Jeudi','Vendredi','Samedi'],
            daysShort: ['Dim','Lun','Mar','Mer','Jeu','Ven','Sam'],
            daysMin: ['Di','Lu','Ma','Me','Je','Ve','Sa'],
            months: ['Janvier','Fevrier','Mars','Avril','Mai','Juin',
                'Juillet','Aout','Septembre','Octobre','Novembre','Decembre'],
            monthsShort: ['Jan','Fev','Mar','Avr','Mai','Jun',
                'Jul','Aou','Sep','Oct','Nov','Dec'],
            today: "Today",
            clear: "Clear",
            format: "mm/dd/yyyy",
            titleFormat: "MM yyyy", /* Leverages same syntax as 'format' */
            weekStart: 0
        };
        $.fn.datepicker.dates.fr.titleFormat="MM";

    </script>


    <script>
            var index=0;
            $("#test").click(function(){
                index++;
                $('#index').val(index);
                $("#phases").append('<div id="'+index+'">'+
                '<label>{{__('Phase')}}'+index+'</label>'+
                '<div class="input-group mb-3">'+
                   ' <div class="input-group-prepend">'+
                    '<span class="input-group-text" id="basic-addon1">{{__('nom arabe')}}</span>'+
                    '</div>'+
                    '<input  name="phase_arab['+index+']" autocomplete="off">'+
                    '<div class="input-group-prepend">'+
                    '<span class="input-group-text" id="basic-addon1">{{__('nom francais')}}</span>'+
                    '</div>'+
                    '<input  name="phase_french['+index+']" autocomplete="off">'+
                    '</div>'+
                    '<div class="input-group mb-3">'+
                    '<div class="input-group-prepend">'+
                    '<span class="input-group-text" id="basic-addon1">{{__('debut')}}</span>'+
                    '</div>'+
                   ' <input  class="date" name="date_deb['+index+']" autocomplete="off">'+
                    '<div class="input-group-prepend">'+
                    '<span class="input-group-text" id="basic-addon1">{{__('fin')}}</span>'+
                    '</div>'+
                    '<input class="date" name="date_fin['+index+']" autocomplete="off">'+
                   ' </div>'+
                   ' </div>');
                $('.date').datepicker({
                    format: 'dd-mm',
                    autoclose: true,
                    language: 'fr',
                    startView: 1,
                    maxViewMode: "months",
                    orientation: "top left",
                })
            });

    </script>


@endsection

resources/views/subscriptionPeriods/edit.blade.php
@extends('layouts.horizontal', ['title' => 'Validation | Parsley'])

@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">Srts</a></li>
                            <li class="breadcrumb-item"><a href="javascript: void(0);">{{__('Période')}}</a></li>
                            <li class="breadcrumb-item active">{{__('Modifier Une Période')}}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{__('Modifier Une Période')}}</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-lg-6 mx-auto">
                <div class="card">
                    <div class="card-body">
                        <h4 class="header-title text-center">{{__('Formulaire de Modification')}}</h4>
                        <p class="sub-header"></p>
                        <form class="needs-validation" novalidate method="POST" action="{{ route('subscriptionPeriods.update',$subscriptionPeriod->id) }}">
                           @method('put')
                            @csrf
                            <div class="form-group mb-3">
                                <label for="validationCustom01">{{ __('Nom') }}</label>
                                <input name="name" type="text" class="form-control" id="validationCustom01" @error('name') is-invalid @enderror placeholder="{{ __('Nom') }}" value="{{$subscriptionPeriod->name}}" required>
                                @error('name')
                                <span class="invalid-feedback" style="display: block !important;" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>

                            <div class="form-group mb-3">
                                <label for="validationCustom02">{{ __('Description') }}</label>
                                <input name="description"  type="text" class="form-control" id="validationCustom02" @error('description') is-invalid @enderror placeholder="{{ __('Description') }}" value="{{$subscriptionPeriod->description}}" required>
                                @error('description')
                                <span class="invalid-feedback" style="display: block !important;" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                            <button type="button" class="btn btn-info mb-3" id="test">{{__('ajouter une phase')}}</button>
                            <input hidden id="index" name="index" value="">
                            <div id="phases" class="mb-3" >

                            </div>

                            <div class="row ">
                                <div class="col-6 float-right">
                                    <a class="btn btn-success float-right mr-2" href="{{route('agencies.index')}}">{{ __('Retour') }}</a>
                                </div>
                                <div class="col-6 ">
                                    <button class="btn btn-primary" type="submit">{{ __('Confirmer') }}</button>
                                </div>
                            </div>
                        </form>

                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col-->
        </div>
        <!-- end row -->

    </div> <!-- container -->
@endsection

@section('script')
    <!-- Plugins js-->
    <script src="{{asset('assets/libs/parsleyjs/parsleyjs.min.js')}}"></script>

    <!-- Page js-->
    <script src="{{asset('assets/js/pages/form-validation.init.js')}}"></script>
    <script src="{{asset('assets/libs/bootstrap-datepicker/bootstrap-datepicker.min.js')}}"></script>
    <script >
        $.fn.datepicker.dates['fr'] = {
            days: ['Dimanche','Lundi','Mardi','Mercredi','Jeudi','Vendredi','Samedi'],
            daysShort: ['Dim','Lun','Mar','Mer','Jeu','Ven','Sam'],
            daysMin: ['Di','Lu','Ma','Me','Je','Ve','Sa'],
            months: ['Janvier','Fevrier','Mars','Avril','Mai','Juin',
                'Juillet','Aout','Septembre','Octobre','Novembre','Decembre'],
            monthsShort: ['Jan','Fev','Mar','Avr','Mai','Jun',
                'Jul','Aou','Sep','Oct','Nov','Dec'],
            today: "Today",
            clear: "Clear",
            format: "mm/dd/yyyy",
            titleFormat: "MM yyyy", /* Leverages same syntax as 'format' */
            weekStart: 0
        };
        $.fn.datepicker.dates.fr.titleFormat="MM";

    </script>


    <script>
        var index=0;
        $("#test").click(function(){
            index++;
            $('#index').val(index);
            $("#phases").append('<div id="'+index+'">'+
                '<label>{{__('Phase')}}'+index+'</label>'+
                '<div class="input-group mb-3">'+
                ' <div class="input-group-prepend">'+
                '<span class="input-group-text" id="basic-addon1">{{__('nom arabe')}}</span>'+
                '</div>'+
                '<input  name="phase_arab['+index+']" autocomplete="off">'+
                '<div class="input-group-prepend">'+
                '<span class="input-group-text" id="basic-addon1">{{__('nom francais')}}</span>'+
                '</div>'+
                '<input  name="phase_french['+index+']" autocomplete="off">'+
                '</div>'+
                '<div class="input-group mb-3">'+
                '<div class="input-group-prepend">'+
                '<span class="input-group-text" id="basic-addon1">{{__('debut')}}</span>'+
                '</div>'+
                ' <input  class="date" name="date_deb['+index+']" autocomplete="off">'+
                '<div class="input-group-prepend">'+
                '<span class="input-group-text" id="basic-addon1">{{__('fin')}}</span>'+
                '</div>'+
                '<input class="date" name="date_fin['+index+']" autocomplete="off">'+
                ' </div>'+
                ' </div>');
            $('.date').datepicker({
                format: 'dd-mm',
                autoclose: true,
                language: 'fr',
                startView: 1,
                maxViewMode: "months",
                orientation: "top left",
            })
        });

    </script>
@endsection

resources/views/subscriptionPeriods/index.blade.php
@extends('layouts.horizontal', ['title' => 'Customers'])

@section('css')
    <!-- Plugins css -->
    <link href="{{asset('assets/libs/datatables/datatables.min.css')}}" rel="stylesheet" type="text/css" />

@endsection

@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">Srts</a></li>
                            <li class="breadcrumb-item"><a href="javascript: void(0);">{{__('Periodes')}}</a></li>
                            <li class="breadcrumb-item active">{{__('Liste des Periodes')}}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{__('Liste des Periodes')}}</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-sm-4">
                                <a href="{{route('subscriptionPeriods.create')}}" class="btn btn-danger mb-2"><i class="mdi mdi-plus-circle mr-2"></i>
                                    {{__('Ajouter une Période')}}</a>
                            </div>
                            <!-- end col-->
                        </div>

                        <div class="table-responsive">
                            <table  id="customers-datatable" class="table table-centered table-striped dt-responsive nowrap w-100">
                                <thead>
                                    <tr>
                                        <th>Name</th>
                                        <th>Phases</th>
                                        <th style="width: 75px;">{{__("Action")}}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>
        <!-- end row -->

    </div> <!-- container -->
    <!-- Danger Alert Modal -->
    <div id="danger-alert-modal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content modal-filled bg-danger">
                <div class="modal-body p-4">
                    <div class="text-center">
                        <i class="dripicons-wrong h1 text-white"></i>
                        <h4 class="mt-2 text-white">Suppression !</h4>
                        <p class="mt-3 text-white">Cette Action est irreversible</p>
                        <button id="delete" type="button" class="btn btn-light my-2" data-dismiss="modal">Continue</button>
                    </div>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
@endsection

@section('script')
    <!-- Plugins js-->
    <script src="{{asset('assets/libs/datatables/datatables.min.js')}}"></script>
    <script src="{{asset('assets/libs/jquery-datatables-checkboxes/jquery-datatables-checkboxes.min.js')}}"></script>
    <script>
        $(function () {

            var table = $('#customers-datatable').DataTable({
                processing: true,
                serverSide: true,
                ajax: "{{ route('subscriptionPeriods.index') }}",
                columns: [
                    {data: 'name_french', name: 'name_french'},
                    {data: 'phases', name: 'phases'},
                    {
                        data: 'action',
                        name: 'action',
                        orderable: true,
                        searchable: true
                    },
                ]
            });

        });
    </script>
    <!-- Page js-->
    <script>
        // Delete action
        $(document).on('click', '.delete', function(){
            id = $(this).attr('id');
            $('#'+id).parent().parent().css('border','2px solid #ff6666');
        });
        $('.modal').on('hidden.bs.modal',function () {
            $('.delete').parent().parent().css('border','none');
        })
        $('#delete').click(function(){
            $('#'+id).parent().parent().css('background-color','#ff6666');
            $.ajaxSetup({
                data: {  _token: '{{csrf_token()}}' },
                type:'DELETE',
                url:"/subscriptionPeriods/"+id,
            });
            $.ajax({
                success:function(data)
                {
                    setTimeout(function(){
                        $('#customers-datatable').DataTable().ajax.reload();
                    }, 1000);
                }
            });
        });



    </script>
{{--    <script src="{{asset('assets/js/pages/customers.init.js')}}"></script>--}}
@endsection